# Get All Risk Modes

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1/post-trade-settlement/risk-modes`

Retrieve the current risk mode of each currency pair.

### Response Body

<table><thead><tr><th width="188">Key</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>currency_pair</code></strong></td><td>The currency pair the risk mode is applied to.</td></tr><tr><td><strong><code>risk_mode</code></strong></td><td><p>The current risk mode setting of this currency pair. Possible values:</p><p><strong><code>Enabled</code></strong>: Credit may be used to open long or short positions.<br><strong><code>Long-Only</code></strong>: Credit may be used to open long positions.<br><strong><code>Short-Only</code></strong>: Credit may be used to open short positions.<br><strong><code>Reduce-Only</code></strong>: New positions may not be opened.</p></td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
{
    "data": [
        {
            "currency_pair": "btcusd",
            "risk_mode": "Enabled"
        },
        {
            "currency_pair": "btcpax",
            "risk_mode": "Reduce_Only"
        },
        {
            "currency_pair": "ltcbtc",
            "risk_mode": "Enabled"
        }}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```sh
curl -H 'Authorization: Bearer <API_TOKEN>' \
https://api.sfox.com/v1/post-trade-settlement/risk-modes
```

{% endtab %}

{% tab title="NodeJs" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/post-trade-settlement/risk-modes',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/post-trade-settlement/risk-modes",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/rest-api/post-trade-settlement-pts/get-all-risk-modes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
